package dev.fyloz.colorrecipesexplorer.dtos

import org.springframework.web.multipart.MultipartFile
import javax.validation.constraints.Min
import javax.validation.constraints.NotBlank

data class MaterialDto(
    override val id: Long = 0L,

    val name: String,

    val inventoryQuantity: Float,

    val isMixType: Boolean,

    val materialType: MaterialTypeDto,

    val simdutUrl: String? = null
) : EntityDto

data class MaterialSaveDto(
    override val id: Long = 0L,

    @field:NotBlank
    val name: String,

    @field:Min(0)
    val inventoryQuantity: Float,

    val materialTypeId: Long,

    val simdutFile: MultipartFile?
) : EntityDto
