package dev.fyloz.colorrecipesexplorer.model

import dev.fyloz.colorrecipesexplorer.dtos.CompanyDto
import javax.persistence.*

@Entity
@Table(name = "company")
data class Company(
  @Id
  @GeneratedValue(strategy = GenerationType.IDENTITY)
  override val id: Long?,

  @Column(unique = true)
  val name: String
) : ModelEntity

// ==== DSL ====
fun company(
  id: Long? = null,
  name: String = "name",
  op: Company.() -> Unit = {}
) = Company(id, name).apply(op)

@Deprecated("Temporary DSL for transition")
fun company(
  dto: CompanyDto
) = Company(dto.id, dto.name)

@Deprecated("Temporary DSL for transition")
fun companyDto(
  entity: Company
) = CompanyDto(entity.id!!, entity.name)